List replies
curl --request GET \
--url https://app.manypi.com/api/outreach/replies \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.manypi.com/api/outreach/replies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.manypi.com/api/outreach/replies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"replies": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "reply",
"campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"from_email": "<string>",
"from_name": "<string>",
"subject": "<string>",
"body_text": "<string>",
"received_at": "2023-11-07T05:31:56Z",
"bounce_type": "<string>",
"bounce_code": "<string>",
"sentiment": "positive",
"sentiment_score": 123,
"intent": "<string>",
"summary": "<string>"
}
],
"total": 123,
"counts": {},
"sentiment": {}
}{
"error": "<string>",
"code": "<string>"
}Outreach
List replies
Everything that came back from your campaigns — human replies, auto-replies and bounces — with counts for filter chips and a sentiment summary.
Reading replies requires any paid plan. The sentiment fields (sentiment, sentiment_score, intent, summary, analyzed_at) require Pro or Business and are stripped from the response on other plans.
Requires the read permission.
GET
/
api
/
outreach
/
replies
List replies
Authorizations
A ManyPI API key (mpi_...) from Settings → API keys, or an OAuth 2.1 access token obtained through the MCP consent flow.
Query Parameters
Available options:
reply, bounce, auto_reply Available options:
positive, neutral, negative, objection, unsubscribe, ooo, referral 